Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.cmp
Interface CursoredIterator

All Superinterfaces:
  java.util.Iterator, java.io.Serializable

All Known Subinterfaces:
  CursoredIterator

public interface CursoredIterator
extends java.io.Serializable, java.util.Iterator

PUBLIC

CursoredIterator provides an interface that conforms to Iterator while providing Cursor behaviour. This interface is returned from an EJB finder method that uses TopLink CursoredStream support. This is TopLink's way of providing cursored support to EJB2.0 finders. Supported methods: close() hasNext() next() next(int) Example: Execute a finder that reads 150 projects. Read the first 50 as singles, then, read the next 50 in bulk. This simulates a screen paging down.

`
import oracle.toplink.ejb.cmp.*;
import java.util.*;
CursoredIterator cursoredIterator;
ProjectHome projectHome = getProjectHome();
//begin a transaction. Leave this open until done
getTransaction().begin();
System.out.println("Finding multiple Projects...");
Vector projects = new Vector();
cursoredIterator = (CursoredIterator)projectHome.findByNameCursored("proj%").iterator();
for (int index = 0; index < 50; i++) {`
`
Project project = (Project)cursoredIterator.next();
projects.addElement(project);`
}
System.out.println("Get the rest all at once ...");
Vector projectsNext50 = cursoredIterator.next(50);
cursoredIterator.close();
//commit transaction, now that we're done
getTransaction().commit();

See Also:
  `CursoredStream`, `CursoredCollection`

Method Summary
`void` | `close()` Close the underlying cursor.
`java.util.Collection` | `next(int numberOfElements)` Return the next numberOfElements elements in the underlying cursor.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### close

    public void close()

  Close the underlying cursor. This should be invoked when the user is finished using the cursor.

### next

    public java.util.Collection next(int numberOfElements)

  Return the next numberOfElements elements in the underlying cursor.

  Parameters:
    `numberOfElements` - the number of objects to consume from the result set
  Returns:
    Collection The Collection(Vector) of objects that were consumed from the result set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD